kind: pipeline
type: docker
name: build

steps:
  - name: build
    image: python:3-buster
    commands:
    - export PYTHONPATH=.
    - export FLASK_APP=period
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip
    - pip3 install --upgrade pip
    - pip3 install --upgrade setuptools
    - pip3 install Flask gunicorn pytest pytest-cov
    - pip3 install pendulum

---
kind: pipeline
type: docker
name: test

steps:
  - name: test
    image: python:3-buster
    commands:
    - export PYTHONPATH=.
    - export FLASK_APP=period
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip
    - pip3 install --upgrade pip
    - pip3 install --upgrade setuptools
    - pip3 install Flask gunicorn pytest pytest-cov
    - pip3 install pendulum
    - pytest tests --cov --cov-report term --cov-report html --junitxml=report.xml